Results 1 to 2 of 2

Thread: Odd this

  1. #1
    New Member ej2095's Avatar
    Join Date
    Aug 2007
    Posts
    183
    Thanks
    1
    Thanked 5 Times in 5 Posts

    Odd this

    Had me wii wiikeyed yesterday.

    THe wii had firmware 2.1e on it.

    Fine as i dont like updating.

    Half of my backed up games work..

    So very puzzled decied to update to nintendos 3.0e firmware al games work now????

  2. #2
    Member sziklassy's Avatar
    Join Date
    Aug 2007
    Posts
    283
    Thanks
    0
    Thanked 4 Times in 3 Posts
    some games rquire you to have the newest firmware. This is Nintendo's way of keeping everyone's firmware up to date. usually the games that require the new firmware have the firmware right on the disc, allowing you the option of installing it straight from the game disc rather than having to download it.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •